pipeline {
 agent {
  label 'master'
 }
 environment {
  CDD_API_KEY = credentials('CDD_API_KEY')
  CDD_APPLICATION_NAME = "${env.GIT_URL}"
  CDD_APPLICATION_VERSION_NAME = "${env.GIT_BRANCH}"
  CDD_GIT_COMMIT_ID = "${env.GIT_COMMIT}"
  CDD_PREVIOUS_GIT_COMMIT_ID = "${env.GIT_PREVIOUS_SUCCESSFUL_COMMIT}"
  CDD_SERVER_NAME = "cddirector.io"
  CDD_SERVER_PORT = "443"
  CDD_TEANANT_ID = "0c7dd255-1ec7-4145-829d-5b8060ad5a96"
  CDD_USE_SSL = "true"
 }
 stages {
  stage("Stage Name") {
   steps {
    echo '**** Build ****'
   }
  }
 }
 post {
  success {
   echo '----------Sending Build Notification to CDD--------------'
   sendNotificationToCDD useSourceCodeRepositoryNameAsApplicationName: true,
    appName: "${CDD_APPLICATION_NAME}",
    useSourceCodeRepositoryBranchNameAsApplicationVersionName: true,
    appVersion: "${CDD_APPLICATION_VERSION_NAME}",
    gitCommit: "${CDD_GIT_COMMIT_ID}",
    gitPrevSuccessfulCommit: "${CDD_PREVIOUS_GIT_COMMIT_ID}" ,
    overrideCDDConfig: [
     customApiKey: "${CDD_API_KEY}",
     customProxyPassword: '',
     customProxyUrl: '',
     customProxyUsername: '',
     customServerName: "${CDD_SERVER_NAME}",
     customServerPort: "${CDD_SERVER_PORT}",
     customTenantId: "${CDD_TEANANT_ID}",
     customUseSSL: "${CDD_USE_SSL}"
    ],
    releaseTokens: '{}',
    ignoreNonexistentApplication: true
  }
 }
}
